package com.yaoyicloud.render.test;

import static org.junit.Assert.assertTrue;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.junit.Test;

import com.yaoyicloud.message.FxyProtos.AuditResult;
import com.yaoyicloud.message.FxyProtos.CheckItemScore;
import com.yaoyicloud.render.AuditResultRender;

public class TestAuditResultRender {

    @Test
    public void testRenderDocx() throws IOException {

        byte[] content = Files
            .readAllBytes(Paths.get(getClass().getClassLoader().getResource("docx/check_overview.docx").getFile()));
        AuditResultRender render = new AuditResultRender("../temp/");
        String retPath = render.renderDocx(
            AuditResult.newBuilder().setAuditResultScore("30").setOpinion("my opinion").setServiceProviderName("whoami")
                .setRiskAlert("high risk").setAuditResultSuggestion("accept it")
                .addCheckItemScores(0,
                    CheckItemScore.newBuilder().setItemId(1L).setCategory("cate1").setItemName("name1").setScore(1L))
                .addCheckItemScores(0,
                    CheckItemScore.newBuilder().setItemId(2L).setCategory("cate2").setItemName("name2").setScore(2L))
                .build(),
            content);

        assertTrue(retPath.length() > 0);
    }

}
